from setuphelpers import *
import glob
import os

app_name = "Nyrna"
app_dir = makepath(programfiles, app_name)  # Defines the path to Program Files

def install():

    bin_name = glob.glob('*.exe')[0]  # Find the installer .exe file
    mkdirs(app_dir)
    install_exe_if_needed(bin_name, silentflags = rf'/SILENT /VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP- /DIR="{app_dir}"',key = "")

def uninstall():
    # Kill relevant processes before uninstallation
    killalltasks(ensure_list(control.impacted_process))

    run(r'"C:\Program Files\Nyrna\unins000.exe" /SILENT')

    # If the application directory still exists, remove it
    if isdir(app_dir):
        remove_tree(app_dir)

    # Remove shortcuts
    remove_desktop_shortcut(app_name)
    remove_programs_menu_shortcut(app_name)
